import request from '@/utils/request'

/**获取分销商数据 */
export function getDistributorCenter(params) {
    return request.get({ url: '/distributor/myDistributor', data: params })
}
/**获取月份账单 */
export function getDistributorOrder(params) {
    return request.get({ url: '/distributor/distributorOrder', data: params })
}
/**获取月份账单详情 */
export function getDistributorOrderDetail(params) {
    return request.get({ url: '/distributor/distributorOrderDetail', data: params })
}
/**获取提现记录 */
export function getDistributorWithDrawList(params) {
    return request.get({ url: '/distributor/withdrawalRecord', data: params })
}
/**分享太阳码 */
export function getDistributorQrcode(params) {
    return request.get({ url: '/distributor/distributorQrCode', data: params })
}
/**获取分销用户 */
export function getDistributorBindingUser(params) {
    return request.get({ url: '/distributor/getDistributorUser', data: params })
}
/**获取分销订单-月份总金额 */
export function getDistributorOrderByMonth(params) {
    return request.get({ url: '/distributor/distributorOrderByMonth', data: params })
}
/**获取分销用户-月份分销总用户 */
export function getDistributorUserByMonth(params) {
    return request.get({ url: '/distributor/distributorUserByMonth', data: params })
}
