import request from '@/utils/request'

//首页数据
export function getIndex(data: any) {
    return request.get({ url: '/index/index', data })
}

// 装修页面
export function getDecorate(data: any) {
    return request.get({ url: '/decorate', data })
}

// 热门搜索
export function getHotSearch() {
    return request.get({ url: '/hotSearch' })
}

/**
 * @description 搜索
 * @param { string } keyword 关键词
 * @return { Promise }
 */
export function getSearch(data: { keyword: string; pageNo: number; pageSize: number }) {
    return request.get({ url: '/search', data })
}
