import request from '@/utils/request'

// 获取我的优惠券
export const apiMyCouponList = (params) => request.get({ url: '/coupon/myCoupon', data: params })

// 领券中心
export const apiCouponCenterList = (params) => request.get({ url: '/coupon/list', data: params })

// 优惠券详情
export const apiCouponDetail = (params) => request.get({ url: '/coupon/detail', data: params })

// 领取优惠券
export const apiCouponManualGet = (params) => request.post({ url: '/coupon/getCoupon', data: params })

// 品类券对应商品
export const apiCouponCategoryGoods = (params) => request.get({ url: '/coupon/deductionGoodsCategory', data: params })

// 商品券对应商品
export const apiCouponGoods = (params) => request.get({ url: '/coupon/deductionGoods', data: params })

// 下单获取最大优惠
export const apiCouponMaxMoney = (params) => request.get({ url: '/coupon/maxDiscounts', data: params })

// 可用优惠券+不可用优惠券
export const apiCouponByUse = (params) => request.get({ url: '/coupon/selectCoupon', data: params })

// 可用优惠券+不可用优惠券数量
export const apiCouponCount = (params) => request.get({ url: '/coupon/selectCouponCount', data: params })
