/*
 * @Author: 王翠碧 1254597151@qq.com
 * @Date: 2023-05-22 22:41:29
 * @LastEditors: 王翠碧 1254597151@qq.com
 * @LastEditTime: 2023-05-25 22:51:40
 * @FilePath: \uniapp\tailwind.config.js
 * @Description: 这是默认设置,请设置`customMade`, 打开koroFileHeader查看配置 进行设置: https://github.com/OBKoro1/koro1FileHeader/wiki/%E9%85%8D%E7%BD%AE
 */
/** @type {import('tailwindcss').Config} */
module.exports = {
  content: ['./index.html', './src/**/*.{html,js,ts,jsx,tsx,vue}'],
  theme: {
    colors: {
      white: '#ffffff',
      black: '#000000',
      main: '#333333',
      content: '#666666',
      muted: '#999999',
      light: '#e5e5e5',
      primary: {
        DEFAULT: '#1296DB',
      },
      success: '#5ac725',
      warning: '#f9ae3d',
      error: '#f56c6c',
      info: '#909399',
      page: '#f8f8f9',
      blue: '#4173ff',
    },
    fontSize: {
      xs: '24rpx',
      sm: '26rpx',
      base: '28rpx',
      lg: '30rpx',
      xl: '32rpx',
      '2xl': '34rpx',
      '3xl': '38rpx',
      '4xl': '40rpx',
      '5xl': '44rpx',
    },
  },
  plugins: [],
  corePlugins: {
    preflight: false,
  },
};
